# CSOUND
Version 6.09 beta

[![Build Status](https://travis-ci.org/csound/csound.svg?branch=develop)](https://travis-ci.org/csound/csound)
![Coverity Status](https://scan.coverity.com/projects/1822/badge.svg)
[![Build status](https://ci.appveyor.com/api/projects/status/1qamc986774rsbjq/branch/develop?svg=true)](https://ci.appveyor.com/project/csound/csound/branch/develop)

A user-programmable and user-extensible sound processing language
and software synthesizer.

Csound is copyright (c) 1991 Barry Vercoe, John ffitch, and other contributors.

Csound is free software; you can redistribute them
and/or modify them under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

Csound is distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this software; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA

# GETTING STARTED

CsoundQt, a graphical shell for Csound, is an excellent place to begin
the exploration of Csound, especially as CsoundQt has an extensive menu
of built-in examples that show off Csound's capabilities. Many musicians make
CsoundQt their main Csound environment, although there are other excellent
environments. CsoundQt runs not only Csound code, but also Python scripts and, 
in the latest version, HTML5 code.

The examples directory and its subdirectories contain numerous working 
Csound orchestras, and even complete pieces. 

The Csound Reference Manual may be found online at 
http://csound.github.io/docs/manual/indexframes.html, or it may be installed with 
Csound in a location that varies by operating system.

This version of Csound is programmable in C, C++, JavaScript, Python, Java, Lua, 
and Common Lisp, and scores can be generated in these languages.

The Csound API application programming interface reference 
may be found online at http://csound.github.io/docs/api/index.html, or it may be 
installed with Csound in a location that varies by operating system. The API 
reference is generated from and for the C and C++ API, but it is also helpful when 
programming Csound in other languages.

# CONTRIBUTORS

Csound contains contributions from musicians, scientists, and programmers
from around the world. They include (but are not limited to):

* Allan Lee
* Andres Cabrera
* Anthony Kozar
* Bill Gardner
* Bill Verplank
* Dan Ellis
* David Macintyre
* Ed Costello
* Eli Breder
* Fabio P. Bertolotti
* Felipe Sataler
* Gabriel Maldonado
* Greg Sullivan
* Hans Mikelson
* Henri Manson
* Ian McCurdy
* Istvan Varga
* Jean Piché
* Joachim Heintz
* John Ramsdell
* John ffitch
* Marc Resibois
* Mark Dolson
* Matt Ingalls
* Max Mathews
* Michael Casey
* Michael Clark
* Michael Gogins
* Mike Berry
* Nate Whetsell
* Paris Smaragdis
* Perry Cook
* Peter Neubäcker
* Peter Nix
* Rasmus Ekman
* Richard Dobson
* Richard Karpen
* Rob Shaw
* Robin Whittle
* Rory Walsh
* Sean Costello
* Stephen Kyne
* Steven Yi
* Tito Latini
* Tom Erbe
* Victor Lazzarini
* Ville Pulkki
